"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103936290>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103936320>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1039363b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103936440>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1039364d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103936560>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1039365f0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103936680>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103936710>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1039367a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103936830>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1039368c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103936950>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1039369e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103936a70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103936b00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103936b90>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103936c20>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103936cb0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103936d40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103936dd0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103936e60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103936ef0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103936f80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1039370a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103937010>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103937130>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1039371c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103937250>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1039372e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103937370>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103937400>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103937490>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103937520>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1039375b0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103937640>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1039376d0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103937760>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1039377f0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103937880>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103937910>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1039379a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103937a30>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103937ac0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103937b50>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103937be0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103937c70>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103937d00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103937d90>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103937e20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103937eb0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103937f40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103974040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1039740d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103974160>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1039741f0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103974280>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103974310>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1039743a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103974430>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1039744c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103974550>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1039745e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103974670>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103974700>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1039748b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103974790>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103974940>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1039749d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103974a60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103974af0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103974b80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103974ca0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103974c10>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103974d30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103974dc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103974e50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103974f70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103974ee0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103975000>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103975090>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103975120>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1039751b0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103975240>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1039752d0>)]
name: str = 'fr_HOCCN'
